@font-face {
    font-family: "roboto_regular";
    src: url(fonts/roboto-regular-webfont.woff) format("woff"),
        url(fonts/roboto-regular-webfont.woff2) format("woff2");
}

@font-face {
    font-family: "roboto_italic";
    src: url(fonts/roboto-italic-webfont.woff) format("woff"),
        url(fonts/roboto-italic-webfont.woff2) format("woff2");
}


@font-face {
    font-family: "roboto_bold";
    src: url(fonts/roboto-bold-webfont.woff) format("woff"),
        url(fonts/roboto-bold-webfont.woff2) format("woff2");
}


body {
    background: #FEFBED;
    font-family: "roboto_regular";
    font-size: 16px;
}

.logoresize {
    width: 260px;
    cursor: pointer;

}

#recipe_search {
    float: right;
}

.backbutton {
    float: right;
    width: 70px;
    position: relative;
    bottom: 2px;

}



a:visited {
    color: black;
    text-decoration: none;

}

a:link {
    color: black;
    text-decoration: none;
}

header {
    border-bottom: 10px solid #E40713;
}

footer {
    border-top: 10px solid #E40713;
    display: flex;
    flex-flow: row;
    justify-content: space-around;
    margin-top: 2rem;
    padding: 1rem;
}

.recipe_gallery {
    display: flex;
    flex-flow: column;
    justify-content: space-around;
    align-items: center;


}

.homeresize {
    width: 300px;
    height: 300px;
}

.recenter {
    max-width: 350px;
    margin: auto;
}

.tile_help {
    width: 300px;
    height: 300px;
    justify-content: center;
    border: 2px solid #E40713;
    padding: .5rem;
    margin: 1rem 0 2rem 0;
    border-bottom: 60px solid #E40713;

}

.tile {
    width: 300px;
    height: 300px;
    justify-content: center;
    border: 2px solid #E40713;
    padding: .5rem;
    margin: 1rem 0 2rem 0;
    border-bottom: 100px solid #E40713;

}

.tile h3 {
    position: relative;
    bottom: 10px;
    color: #FEFBED;
    font-size: 1.1rem;
}

.tile_help h3 {
    position: relative;
    bottom: 10px;
    color: #FEFBED;
    font-size: 1.1rem;
}

.tile h4 {
    position: relative;
    bottom: 30px;
    color: #FEFBED;

}



.recipe_header {
    margin: auto;
    padding: 0 1rem;


}

.recipe_header h1 {
    padding-left: 1rem;
    position: relative;
    bottom: 140px;
    background: #E40713;
    color: #FEFBED;

}

.recipe_header h2 {
    padding-left: 1rem;
    position: relative;
    bottom: 166px;
    background: #E40713;
    color: #FEFBED;

}


.recipe_header p {
    padding-top: 2rem;
    position: relative;
    bottom: 150px;
    margin: auto;
    font-size: 1.2rem;
}


.ingredients_parent {
    display: flex;
    flex-flow: column;
    justify-content: space-around;
    align-items: center;
    padding: 1rem;
}

.ingredients_child {
    width: 300px;

}


.step_parent {
    display: flex;
    flex-flow: column;
    justify-content: space-around;
    align-items: center;
    padding: 1rem;

}


.ing_img {
    width: 350px;
    height: 260px;
}

.step_img {
    width: 450px;
    height: 300px;
}

.step_childtxt {
    align-self: flex-start;
    max-width: 400px;
}


.headerimg {
    width: 100%;


}

.cropped {
    width: 100%;
    /* width of container */
    height: 300px;
    /* height of container */
    overflow: hidden;
    border: 2px solid #E40713;
    border-bottom: 120px solid #E40713;
}


.search_results {
    width: 300px;
    margin: auto;
    padding: 1rem;
}

.help {
    max-width: 600px;
    margin: auto;
    padding: 1rem;
}

@media screen and (min-width: 700px) {

    .recipe_header {
        width: 650px;
    }


    .recipe_gallery {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;

    }

    .ingredients_parent {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;

    }

    .step_parent {
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;
        margin-bottom: 1rem;

    }
}

@media screen and (min-width: 1200px) {




    .recipe_gallery {
        width: 1150px;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;
        margin: auto;
    }

    .ingredients_parent {
        width: 1150px;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;
        margin: auto;
    }

    .step_parent {
        width: 1150px;
        display: flex;
        flex-flow: row wrap;
        justify-content: space-around;
        align-items: center;
        margin: auto;
        margin-bottom: 1rem;

    }

    .step_child {
        max-width: 500px;
    }
}

/*Floating Help Button*/
#myBtn {
    position: fixed;
    bottom: 10px;
    float: right;
    right: 4%;
    max-width: 60px;
    width: 100%;
    font-size: 40px;
    padding: .5px;
    color: #E40713;
    cursor: pointer;
    border: 2.5px solid #E40713;
    border-radius: 50px 50px 50px 50px;
    background-color: #FEFBED;

}

/*Floating Help Button*/
#myBtn2 {
    position: fixed;
    bottom: 10px;
    float: left;
    left: 4%;
    max-width: 60px;
    width: 100%;
    font-size: 40px;
    padding: .5px;
    color: #E40713;
    cursor: pointer;
    border: 2.5px solid #E40713;
    border-radius: 50px 50px 50px 50px;
    background-color: #FEFBED;

}



/* added on 5/19/20 better search and filter css */

.search-container {
    max-width: 216px;

}

input#search-bar {
    margin: 0 auto;
    width: 100%;
    height: 30px;
    padding: 0 20px;
    font-size: 1rem;
    border: 1px solid #E40713;
    border-bottom: 10px solid #E40713;
    border-left: 5px solid #E40713;
    outline: none;


}

.search-icon {
    position: relative;
    float: right;
    width: 60px;
    height: 60px;
    top: -55px;
    right: -45px;
}

.redback {
    background: #E40713;
    width: 100%;


}

.filter-container {
    margin-top: 1rem;
    max-width: 100%;
    display: flex;

}

.button {
    background-color: #E40713;
    /* Green */
    border: none;
    color: white;
    padding: 6px 7.5px;
    text-align: center;
    text-decoration: none;
    display: block;
    font-size: 16px;
    margin: .1rem;
    cursor: pointer;
    border-radius: 15px;
}
